Page MenuHomeFreeBSD

[new port] graphics/drm-legacy-kmod: legacy DRM modules for the linuxkpi-based KMS components
ClosedPublic

Authored by jmd on Aug 21 2018, 2:32 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 4, 11:05 AM
Unknown Object (File)
Tue, Apr 23, 2:42 PM
Unknown Object (File)
Sat, Apr 20, 3:28 PM
Unknown Object (File)
Apr 19 2024, 12:41 AM
Unknown Object (File)
Apr 18 2024, 1:57 PM
Unknown Object (File)
Apr 18 2024, 1:57 PM
Unknown Object (File)
Apr 18 2024, 1:57 PM
Unknown Object (File)
Apr 18 2024, 1:57 PM
Subscribers

Details

Summary

Initial port for a drm-legacy-kmod port. Probably version check should be changed if base drm1/drm2 legacy bits are dropped.

Test Plan

Builds on amd64/HEAD. No hardware old enough to test.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

linimon retitled this revision from graphics/drm-legacy-kmod to [new port] graphics/drm-legacy-kmod: legacy DRM modules for the linuxkpi-based KMS components.Aug 21 2018, 2:35 AM
graphics/drm-legacy-kmod/Makefile
18 ↗(On Diff #47014)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

This revision is now accepted and ready to land.Aug 21 2018, 5:40 PM

Noting further, except what mat@ already pointed out.
Don't forget to update conflicting in the other bsd-*-kmod ports.

The one thing I would say, however, is I'm looking forward to the metaport that will assume the name of drm-kmod and will do the right thing for users based on their architecture. I know that's next, I'm just stating the obvious for future onlookers.

This revision was automatically updated to reflect the committed changes.